Skip to main content
GET
/
archetypes
/
$
{id}
cURL
curl https://api.growthbook.io/api/v1/archetypes/sam_123abc \
  -u secret_abc123DEF456:
{
  "archetype": {
    "id": "<string>",
    "dateCreated": "<string>",
    "dateUpdated": "<string>",
    "name": "<string>",
    "owner": "<unknown>",
    "isPublic": true,
    "attributes": {},
    "description": "<string>",
    "projects": [
      "<string>"
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

If using Bearer auth, pass the Secret Key as the token:

curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"

Path Parameters

id
string
required

The id of the requested resource

Response

200 - application/json

Success

archetype
object
required